"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GwtAppFormerConsumedInteropApi = exports.getGuidedTourElementPosition = void 0;
var getGuidedTourElementPosition = function (selector) {
    return window.JsInterop__Envelope__GuidedTour__GuidedTourCustomSelectorPositionProvider.getInstance().getPosition(selector);
};
exports.getGuidedTourElementPosition = getGuidedTourElementPosition;
var GwtAppFormerConsumedInteropApi = (function () {
    function GwtAppFormerConsumedInteropApi() {
    }
    GwtAppFormerConsumedInteropApi.prototype.onFinishedLoading = function (callback) {
        window.appFormerGwtFinishedLoading = callback;
    };
    GwtAppFormerConsumedInteropApi.prototype.getEditor = function (editorId) {
        var gwtEditor = window.gwtEditorBeans.get(editorId);
        if (!gwtEditor) {
            throw new Error("GwtEditor with id '".concat(editorId, "' was not found"));
        }
        return gwtEditor.get();
    };
    return GwtAppFormerConsumedInteropApi;
}());
exports.GwtAppFormerConsumedInteropApi = GwtAppFormerConsumedInteropApi;
//# sourceMappingURL=GwtAppFormerConsumedInteropApi.js.map